# mongoc_find_and_modify_opts_get_update()

## Synopsis

    void
    mongoc_find_and_modify_opts_get_update (
       const mongoc_find_and_modify_opts_t *opts, bson_t *update);

## Parameters

- `opts`: A mongoc_find_and_modify_opts_t.

- `update`: An uninitialized `bson_t`.

## Description

Copies the update document set with mongoc_find_and_modify_opts_set_update(), or initializes `update` with an empty BSON document.